in scala.runtime
class BoxedArray

`abstract class` BoxedArray
  `extends` java.lang.Object
  `with` scala.Seq[scala.Any]
  `with` scala.ScalaObject

  A class representing `Array[T]`

Direct Known Subclasses:
  BoxedShortArray, BoxedObjectArray, BoxedLongArray, BoxedIntArray, BoxedFloatArray, BoxedDoubleArray, BoxedCharArray, BoxedByteArray, BoxedBooleanArray, BoxedAnyArray

Constructor Summary
| `def` this

Def Summary
`abstract` | `def` apply (index: scala.Int) : scala.Any The element at given index
| `def` copyFrom (src: java.lang.Object, from: scala.Int, to: scala.Int, len: scala.Int) : scala.Unit
| `def` copyTo (from: scala.Int, dest: java.lang.Object, to: scala.Int, len: scala.Int) : scala.Unit
`override` | `def` copyToArray [B] (xs: scala.Array[B], start: scala.Int) : scala.Unit Fills the given array `xs` with the elements of this sequence starting at position `start`.
| `def` elements : java.lang.Object with scala.Iterator[scala.Any]
`final` `override` | `def` flatMap [b] (f: (scala.Any) => scala.Iterable[b]) : scala.Array[b]
`override` | `def` isDefinedAt (x: scala.Int) : scala.Boolean
`abstract` | `def` length : scala.Int The length of the array
`final` `override` | `def` map [b] (f: (scala.Any) => b) : scala.Array[b]
`final` `override` | `def` stringPrefix : java.lang.String
`abstract` | `def` subArray (from: scala.Int, end: scala.Int) : java.lang.Object
`abstract` | `def` unbox (elemClass: java.lang.Class) : java.lang.Object
`abstract` | `def` unbox (elemTag: java.lang.String) : java.lang.Object Convert to Java array.
`abstract` | `def` update (index: scala.Int, elem: scala.Any) : scala.Unit Update element at given index
`abstract` | `def` value : java.lang.Object The underlying array value
`final` | `def` zip [b] (that: scala.Array[b]) : scala.Array[scala.Tuple2[scala.Any, b]]
`final` | `def` zipWithIndex : scala.Array[scala.Tuple2[scala.Any, scala.Int]]

Def inherited from scala.Seq[scala.Any]
++ , concat, contains, copyToArray, drop, dropWhile, filter, flatMap, isDefinedAt, isEmpty, lastIndexOf, length, map, reverse, slice, stringPrefix, subseq, super$drop, super$dropWhile, super$filter, super$take, super$takeWhile, take, takeWhile, toArray, toString

Constructor Detail

`def` this

Def Detail

`abstract def` apply (index: scala.Int): scala.Any

  The element at given index

`def` copyFrom (src: java.lang.Object, from: scala.Int, to: scala.Int, len: scala.Int): scala.Unit

`def` copyTo (from: scala.Int, dest: java.lang.Object, to: scala.Int, len: scala.Int): scala.Unit

`override def` copyToArray [B](xs: scala.Array[B], start: scala.Int): scala.Unit

  Fills the given array `xs` with the elements of this sequence starting at position `start`.

Parameters:
  `xs -` the array to fill.
Parameters:
  `start -` starting index.
Precondition:
  the array must be large enough to hold all elements.

`def` elements : java.lang.Object with scala.Iterator[scala.Any]

`final override def` flatMap [b](f: (scala.Any) => scala.Iterable[b]): scala.Array[b]

`override def` isDefinedAt (x: scala.Int): scala.Boolean

`abstract def` length : scala.Int

  The length of the array

`final override def` map [b](f: (scala.Any) => b): scala.Array[b]

`final override def` stringPrefix : java.lang.String

`abstract def` subArray (from: scala.Int, end: scala.Int): java.lang.Object

`abstract def` unbox (elemClass: java.lang.Class): java.lang.Object

`abstract def` unbox (elemTag: java.lang.String): java.lang.Object

  Convert to Java array.

Parameters:
  `elemTag -` Either one of the tags ".N" where N is the name of a primitive type (@see ScalaRunTime), or a full class name.

`abstract def` update (index: scala.Int, elem: scala.Any): scala.Unit

  Update element at given index

`abstract def` value : java.lang.Object

  The underlying array value

`final def` zip [b](that: scala.Array[b]): scala.Array[scala.Tuple2[scala.Any, b]]

`final def` zipWithIndex : scala.Array[scala.Tuple2[scala.Any, scala.Int]]